Subject: [Taps] I-D Action: draft-ietf-taps-transports-usage-03.txt

From: [email-masked]
Date: Wed, 08 Mar 2017 00:31:02 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Transport Services of the IETF.

        Title           : On the Usage of Transport Features Provided by IETF Transport Protocols
        Authors         : Michael Welzl
                          Michael Tuexen
                          Naeem Khademi
	Filename        : draft-ietf-taps-transports-usage-03.txt
	Pages           : 48
	Date            : 2017-03-08

Abstract:
   This document describes how TCP, MPTCP, SCTP, UDP and UDP-Lite expose
   services to applications and how an application can configure and use
   the transport features that make up these services.  It also
   discusses the service provided by the LEDBAT congestion control
   mechanism.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-taps-transports-usage/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-taps-transports-usage-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-taps-transports-usage-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Michael Welzl <[email-masked]>
Date: Wed, 8 Mar 2017 09:36:13 +0100

Dear all,

This is a quite major update: from our (author's) point of view, it now (at last!) captures all the RFC-defined API primitives / transport features of TCP, MPTCP, SCTP, UDP(-Lite) and LEDBAT.
So, if you want to check if we missed your favorite feature, that time has come  :-)

Cheers,
Michael

> On 08 Mar 2017, at 09:31, [email-masked] wrote:
> 
> 
> _______________________________________________
> Taps mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/taps

---

From: Michael Welzl <[email-masked]>
Date: Thu, 9 Mar 2017 16:43:49 +0100

> On Mar 8, 2017, at 9:36 AM, Michael Welzl <[email-masked]> wrote:
> 
> Dear all,
> 

Sigh, with one exception - I had a plan to include it but when I checked again I overlooked section 7.1: TCP-AO (RFC 5925) requires some changes to the TCP user interface, not covered in this document. That one will go into the next update, together with any other suggestions we’ll receive…

Cheers,
Michael

---

From: Yoshifumi Nishida <[email-masked]>
Date: Tue, 21 Mar 2017 01:06:09 -0700

On Thu, Mar 9, 2017 at 7:43 AM, Michael Welzl <[email-masked]> wrote:

> > This is a quite major update: from our (author's) point of view, it now
> (at last!) captures all the RFC-defined API primitives / transport features
> of TCP, MPTCP, SCTP, UDP(-Lite) and LEDBAT.
>
> Sigh, with one exception - I had a plan to include it but when I checked
> again I overlooked section 7.1: TCP-AO (RFC 5925) requires some changes to
> the TCP user interface, not covered in this document. That one will go into
> the next update, together with any other suggestions we’ll receive…
>
> This is just out of my curiosity...
Why there is no mention on DCCP in the draft while we there are some
descriptions of DCCP in RFC8095? I am just curious about the reason for it.
Sorry if this has already been discussed.
--
Yoshi

---

From: Michael Welzl <[email-masked]>
Date: Tue, 21 Mar 2017 09:35:02 +0100

> On 21 Mar 2017, at 09:06, Yoshifumi Nishida <[email-masked]> wrote:
> 
> Why there is no mention on DCCP in the draft while we there are some descriptions of DCCP in RFC8095? I am just curious about the reason for it. Sorry if this has already been discussed.

RFC 8095 contains many more things that this one doesn't contain...
We did have someone signed up to write the DCCP stuff but it never happened, so at some point we had to give up on it. At some past meeting, we checked with the TAPS group to agree on the list of protocols that this draft now contains.

Cheers,
Michael